API reference
Orders & products
Synced orders and marketplace products, plus pick and pack lists.
List orders
/v1/ordersOrders of the current tenant.
Scopes:orders:read
Query parameters
storeIdstringoptionalformat: uuid
statusOrderStatusoptionalOne of:
pending_paymentprocessingshippeddeliveredcompletedcancelledreturnedfromstringoptionalInclusive start (ISO 8601). Defaults to 30 days ago.
format: date-time
tostringoptionalExclusive end (ISO 8601). Defaults to now.
format: date-time
qstringoptionalMatches the marketplace order id.
max length 64
cursorstringoptionallimitintegeroptionalmin 1 · max 200 · default: 50
Response200 · application/json
Orders, newest first
itemsarray<Order>requiredShow 19 child attributes
idstringrequiredformat: uuid
storeIdstringrequiredformat: uuid
marketplacestringrequiredOne of:
tiktokshopeelazadatokopediaexternalOrderIdstringrequiredstatusstringrequiredOne of:
pending_paymentprocessingshippeddeliveredcompletedcancelledreturnedmarketplaceStatusstringrequiredplacedAtstringrequiredformat: date-time
paidAtstringrequirednullableformat: date-time
completedAtstringrequirednullableformat: date-time
cancelledAtstringrequirednullableformat: date-time
currencystringrequiredsubtotalstring (decimal)requiredDecimal string with two fraction digits.
shippingFeestring (decimal)requiredDecimal string with two fraction digits.
discountTotalstring (decimal)requiredDecimal string with two fraction digits.
totalstring (decimal)requiredDecimal string with two fraction digits.
sourceChannelstringrequiredOne of:
livevideoshopaffiliateunknownexternalLiveIdstringrequirednullableitemCountintegerrequiredsyncedAtstringrequiredformat: date-time
pageInfoPageInforequiredShow 2 child attributes
nextCursorstringrequirednullablehasMorebooleanrequired
curl "https://api.comnethub.app/v1/orders?limit=20" \
-H "Authorization: Bearer $THECOMNET_API_KEY"Get order
/v1/orders/{orderId}Order with items, timeline, returns, and settlements.
Scopes:orders:read
Path parameters
orderIdstringrequiredformat: uuid
Response200 · application/json
Order detail
idstringrequiredformat: uuid
storeIdstringrequiredformat: uuid
marketplacestringrequiredOne of:
tiktokshopeelazadatokopediaexternalOrderIdstringrequiredstatusstringrequiredOne of:
pending_paymentprocessingshippeddeliveredcompletedcancelledreturnedmarketplaceStatusstringrequiredplacedAtstringrequiredformat: date-time
paidAtstringrequirednullableformat: date-time
completedAtstringrequirednullableformat: date-time
cancelledAtstringrequirednullableformat: date-time
currencystringrequiredsubtotalstring (decimal)requiredDecimal string with two fraction digits.
shippingFeestring (decimal)requiredDecimal string with two fraction digits.
discountTotalstring (decimal)requiredDecimal string with two fraction digits.
totalstring (decimal)requiredDecimal string with two fraction digits.
sourceChannelstringrequiredOne of:
livevideoshopaffiliateunknownexternalLiveIdstringrequirednullableitemCountintegerrequiredsyncedAtstringrequiredformat: date-time
shippedAtstringrequirednullableformat: date-time
deliveredAtstringrequirednullableformat: date-time
buyerRefstringrequirednullableitemsarray<OrderItem>requiredShow 11 child attributes
idstringrequiredformat: uuid
externalItemIdstringrequiredexternalProductIdstringrequirednullableexternalSkuIdstringrequirednullablenamestringrequiredskustringrequirednullablequantityintegerrequiredunitPricestring (decimal)requiredDecimal string with two fraction digits.
subtotalstring (decimal)requiredDecimal string with two fraction digits.
statusstringrequirednullableexternalLiveIdstringrequirednullable
eventsarray<OrderEvent>requiredShow 7 child attributes
idstringrequiredformat: uuid
kindstringrequiredOne of:
createdstatus_changedsyncedreturnsettlednotefromStatusstringrequirednullabletoStatusstringrequirednullableoccurredAtstringrequiredformat: date-time
sourcestringrequiredOne of:
webhookbackfillmanualpayloadobject (map)optional
returnsarray<OrderReturn>requiredShow 9 child attributes
idstringrequiredformat: uuid
externalReturnIdstringrequiredtypestringrequiredstatusstringrequiredreasonstringrequirednullablerefundAmountstring (decimal)requiredDecimal string with two fraction digits.
currencystringrequirednullablerequestedAtstringrequirednullableformat: date-time
resolvedAtstringrequirednullableformat: date-time
settlementsarray<OrderSettlement>requiredShow 8 child attributes
idstringrequiredformat: uuid
externalStatementIdstringrequiredsettlementAmountstring (decimal)requiredDecimal string with two fraction digits.
revenueAmountstring (decimal)requiredDecimal string with two fraction digits.
feeAmountstring (decimal)requiredDecimal string with two fraction digits.
adjustmentAmountstring (decimal)requiredDecimal string with two fraction digits.
currencystringrequirednullablesettledAtstringrequirednullableformat: date-time
curl "https://api.comnethub.app/v1/orders/$ORDER_ID" \
-H "Authorization: Bearer $THECOMNET_API_KEY"List products
/v1/productsProducts synced from marketplaces.
Scopes:products:read
Query parameters
storeIdstringoptionalformat: uuid
qstringoptionalmax length 120
cursorstringoptionallimitintegeroptionalmin 1 · max 200 · default: 50
Response200 · application/json
Products
itemsarray<Product>requiredShow 8 child attributes
idstringrequiredformat: uuid
storeIdstringrequiredformat: uuid
externalProductIdstringrequiredtitlestringrequiredstatusstringrequiredimagesarray<string>requiredvariantsarray<ProductVariant>requiredShow 10 child attributes
inventoryItemIdstringrequirednullableMaster stock item this variant follows.
format: uuid
managedStockbooleanrequiredStock is pushed from the master item; edit it there.
managedPricebooleanrequiredPrice is pushed from the master item; edit it there.
idstringrequiredformat: uuid
externalSkuIdstringrequiredskustringrequirednullablenamestringrequirednullablepricestring (decimal)requirednullableDecimal string with two fraction digits.
currencystringrequirednullablestockintegerrequirednullable
syncedAtstringrequiredformat: date-time
pageInfoPageInforequiredShow 2 child attributes
nextCursorstringrequirednullablehasMorebooleanrequired
curl "https://api.comnethub.app/v1/products?limit=20" \
-H "Authorization: Bearer $THECOMNET_API_KEY"Bulk pick pack
/v1/bulk/orders/pick-packPicking list (units per SKU) and packing list (per order) for printing.
Scopes:orders:write
Request bodyapplication/json
orderIdsarray<Id>requiredmin items 1 · max items 200
Response200 · application/json
Orders in request order and aggregated picks
ordersarray<PackingOrder>requiredShow 13 child attributes
orderIdstringrequiredformat: uuid
externalOrderIdstringrequiredstoreIdstringrequiredformat: uuid
storeNamestringrequiredmarketplacestringrequiredOne of:
tiktokshopeelazadatokopediastatusstringrequiredOne of:
pending_paymentprocessingshippeddeliveredcompletedcancelledreturnedplacedAtstringrequiredformat: date-time
recipientNamestringrequirednullableAs provided by the marketplace (often masked).
recipientAddressstringrequirednullablebuyerNotestringrequirednullabletrackingNumberstringrequirednullableshippingProviderstringrequirednullableitemsarray<object>requiredShow 3 child attributes
namestringrequiredskustringrequirednullablequantityintegerrequired
picksarray<PickLine>requiredShow 4 child attributes
skustringrequirednullablenamestringrequiredquantityintegerrequiredordersintegerrequiredNumber of orders that contain this line.
generatedAtstringrequiredformat: date-time
curl -X POST "https://api.comnethub.app/v1/bulk/orders/pick-pack" \
-H "Authorization: Bearer $THECOMNET_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"orderIds": [
"0192f0c4-8d1e-7a4b-9c3e-5f6a7b8c9d0e"
]
}'